onebob

GTN 750 ver 2.08

Recommended Posts

There is a new version for the Flight1 gtn750, 2.08. which brings the Navigation Databases up to 1803. You will have to uninstall the Garmin Trainer ver 6.21 and download from flight1 ver 6.50.

I found that I now cannot change from the flight1 GTN to the RXP gtn as the trainer is a different ver. I had to uninstall the Trainer ver 6.5 installed by the RXP gtn to get the flight1 gtn750 to work, so a choice to be made.

bob

 

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

7 minutes ago, onebob said:

There is a new version for the Flight1 gtn750, 2.08. which brings the Navigation Databases up to 1803. You will have to uninstall the Garmin Trainer ver 6.21 and download from flight1 ver 6.50.

I found that I now cannot change from the flight1 GTN to the RXP gtn as the trainer is a different ver. I had to uninstall the Trainer ver 6.5 installed by the RXP gtn to get the flight1 gtn750 to work, so a choice to be made.

bob

 

There's only one 6.5 version of the Garmin GTN Trainer available for download (6.50.1) and it works with the most recent RXP GTN Trainer (v2.5.11):

https://www8.garmin.com/support/download_details.jsp?id=12373

 

  • Like 1

Share this post


Link to post
14 hours ago, jabloomf1230 said:

There's only one 6.5 version of the Garmin GTN Trainer available for download (6.50.1) and it works with the most recent RXP GTN Trainer (v2.5.11):

https://www8.garmin.com/support/download_details.jsp?id=12373

 

Thanks for the link for the latest version of the trainer. have installed it and the RXP GTN is running ok , however when I run the F50 with the F1 gtn 750 I get this error :-

 

O9ob6g7.png

 

Have excluded all the folders in my internet security but get the same pop-up.

When I installed the previous version of the trainer ( F1 download link ) I got a path error to the trainer.

any suggestions on this.

 

regards  bob 

 

Share this post


Link to post
14 hours ago, jabloomf1230 said:

There's only one 6.5 version of the Garmin GTN Trainer available for download (6.50.1) and it works with the most recent RXP GTN Trainer (v2.5.11):

And should contain the very same database, as at the time of a new trainer the database is part of the trainer.

Share this post


Link to post

I have both the Reality GTN750/650 and Flight1 GTN750/650 installed on my computer for testing purposes. The RXP unit 'already' uses the ver 6.5 of the Garmin Trainer.  If I now update to ver 2.08 of the Flight1 GTN750, can I use the same Garmin Trainer ver 6.5 install that RXP uses, or do I need to install an additional Garmin Trainer v6.5 for Flight1?  If I can use the 'same Garmin Trainer', where is it typically installed by Reality (I will need to point the Flight1 software to it)?

Thx,

Al

Edited by ark

Share this post


Link to post

It appears that some have both F1 ( ver 2.08) and RXP gtn 750 gauges running but I'm having a problem with that. I've had a response over on the Support forum at F1 :-

"Please uninstall the PC Trainer V2.3.1.0, then reinstall the PC Trainer V2.3.0.0, as was downloaded when you installed V2.08 of the F1 GTN, this will solve your problem"

 

bob

Share this post


Link to post
2 hours ago, onebob said:

It appears that some have both F1 ( ver 2.08) and RXP gtn 750 gauges running but I'm having a problem with that. I've had a response over on the Support forum at F1 :-

"Please uninstall the PC Trainer V2.3.1.0, then reinstall the PC Trainer V2.3.0.0, as was downloaded when you installed V2.08 of the F1 GTN, this will solve your problem"

 

bob

It appears that F1 has updated their version of the GTN gauge to an old version of the Garmin PC trainer. If reinstalling an out of date of version of the PC trainer (2.3.0.0) disables the RXP gauge, you may have to wait until Flight 1 updates again to 2.09 to run both gauges in different aircraft. The other option is just to replace all your F1 GTN entries in your aircraft.cfg files to RXP entries.

Edited by jabloomf1230
  • Like 1

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now